Name: bug-buddy
Version: 2.0.6
Release: 9
Epoch: 1
Summary: A bug reporting utility for GNOME.
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.gz
Source2: bug-buddy-pofiles.tar.gz
Patch0: bug-buddy-2.0.6-brokenxml.patch
URL: http://primates.helixcode.com/~jacob/bug-buddy/
BuildRoot:%{_tmppath}/%{name}-%{version}-root
Requires: libglade
BuildRequires: libxml-devel
BuildRequires: gnome-libs-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: gnome-vfs-devel
BuildRequires: libglade-devel

Source2: bug-buddy-po.tar.gz

%description
Bug-buddy is a bug reporting utility for the GNOME desktop GUI
environment. Bug-buddy can obtain a stack trace from a core file or
crashed application; it can determine the versions of packages
installed on your system; it can be started from gmc (by
double-clicking on a core file) and from the crash dialog; and it
supports the GNOME, KDE, Debian, and Helix Code bug tracking systems.

%prep
%setup -q

## unpack pofiles
tar zxf %{SOURCE2}

%patch0 -p1 -b .brokenxml

# unpack our translations
tar zxf %{SOURCE2}

%build
## auto* required by patch0
# automake-1.4
automake
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

/usr/bin/*
/usr/share/gnome/apps/Utilities/*
/usr/share/gnome/help/bug-buddy
/usr/share/pixmaps/*
/usr/share/bug-buddy
/usr/share/mime-info/*

%changelog
* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- rebuild with translations

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- backport to Hampton

* Thu Jan 24 2002 Tim Powers <timp@redhat.com>
- rebuild against new openssl

* Fri Jan 18 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- New version. (2.0.6)

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't define %%nam and %%ver (why do people do that?)
- use %%{_tmppath}
- langify
- more cleanups

* Mon Dec 04 2000 Jonathan Blandford <jrb@redhat.com>
- Move to newer version.

* Fri Aug 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- delete Vendor: and Distribution: tags (#16115)
- move changelog to the end of the spec file

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir
